using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Concilium.Bot
{
    public abstract class BotFeatureBase : IBotFeature
    {
        public virtual IrcDotNet.IrcClient Client
        {
            get;
            set;
        }

        public virtual void Load()
        {

        }

        public abstract void Execute(string _sCommand, string _sSource, string _sTarget, string _sMessage, IList<string> _parameters, string _ip);
    }
}
